Skip to main content
`Ctrl`+`K`

# TSComputeI2Function

Evaluates the DAE residual written in implicit form F(t,U,U_t,U_tt) = 0

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeI2Function(TS ts, PetscReal t, Vec U, Vec V, Vec A, Vec F)

Collective

## Input Parameters

- ts - the `TS` context

- t - current time

- U - state vector

- V - time derivative of state vector (U_t)

- A - second time derivative of state vector (U_tt)

## Output Parameter

- F - the residual vector

## Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetI2Function()`, `TSGetI2Function()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages